Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 77877 - (PCMCIA)pcmcia slot locks up after power loss
Summary: (PCMCIA)pcmcia slot locks up after power loss
Keywords:
Status: CLOSED CURRENTRELEASE
Alias: None
Product: Red Hat Linux
Classification: Retired
Component: kernel
Version: 8.0
Hardware: i386
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Arjan van de Ven
QA Contact: Jay Turner
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2002-11-14 17:42 UTC by Wil Coulbourn
Modified: 2015-01-08 00:01 UTC (History)
1 user (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2004-09-30 15:40:11 UTC


Attachments (Terms of Use)

Description Wil Coulbourn 2002-11-14 17:42:14 UTC
Description of Problem:
Have a Compaq Armada M700 and Lucent Orinoco card.  If the laptop battery runs
out while the card is in and the machine is on. The pcmcia card manager locks up
on reboot.  When the machine is booting you get the normal yenta-socket message
and then the boot just stops there.  


Version-Release number of selected component (if applicable):
Standard RH 8.0 release.  

How Reproducible:
Consistently

Steps to Reproduce:
1. Laptop and pcmcia card in and running
2. Power loss (whether from battery running out or just straight pulling the
battery, the result is the same)
3. When booting the laptop after this the pcmcia manager hangs during the boot

Actual Results:
Boot gets to the yenta-socket message and stops.

Expected Results:
Boot up should continue normally.

Additional Information:
I'm using the redhat 8.0 release and an Orinoco 802.11b card.
To get the machine to boot, I boot up with the RH 8.0 install disc 1.  type
linux rescue.  Once the machine comes up do chroot /mnt/sysimage and then
/etc/init.d/pcmcia start
This will hang so after a few seconds do ctrl-c.
exit twice to get the laptop to reboot and everything works again.

Comment 1 Bugzilla owner 2004-09-30 15:40:11 UTC
Thanks for the bug report. However, Red Hat no longer maintains this version of
the product. Please upgrade to the latest version and open a new bug if the problem
persists.

The Fedora Legacy project (http://fedoralegacy.org/) maintains some older releases, 
and if you believe this bug is interesting to them, please report the problem in
the bug tracker at: http://bugzilla.fedora.us/



Note You need to log in before you can comment on or make changes to this bug.